## org.apache.taglibs.standard.lang.jstl.parser
Class ELParserTokenManager

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.parser.ELParserTokenManager

All Implemented Interfaces:
  ELParserConstants

    public class ELParserTokenManager

extends Object
implements ELParserConstants

Field Summary
`protected char` `curChar`
`PrintStream` `debugStream`
`static int[]` `jjnewLexState`
`static String[]` `jjstrLiteralImages`
`static String[]` `lexStateNames`

Fields inherited from interface org.apache.taglibs.standard.lang.jstl.parser.ELParserConstants

`AND1, AND2, BADLY_ESCAPED_STRING_LITERAL, COLON, COMMA, DEFAULT, DIGIT, DIVIDE1, DIVIDE2, DOT, EMPTY, END_EXPRESSION, EOF, EQ1, EQ2, EXPONENT, FALSE, FLOATING_POINT_LITERAL, GE1, GE2, GT1, GT2, IDENTIFIER, ILLEGAL_CHARACTER, IMPL_OBJ_START, IN_EXPRESSION, INTEGER_LITERAL, LBRACKET, LE1, LE2, LETTER, LPAREN, LT1, LT2, MINUS, MODULUS1, MODULUS2, MULTIPLY, NE1, NE2, NON_EXPRESSION_TEXT, NOT1, NOT2, NULL, OR1, OR2, PLUS, RBRACKET, RPAREN, START_EXPRESSION, STRING_LITERAL, tokenImage, TRUE`

Constructor Summary
`ELParserTokenManager(SimpleCharStream stream)`
`ELParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`void` `ReInit(SimpleCharStream stream)`
`void` `ReInit(SimpleCharStream stream, int lexState)`
`void` `setDebugStream(PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### curChar

    protected char curChar

Constructor Detail

### ELParserTokenManager

    public ELParserTokenManager(SimpleCharStream stream)

### ELParserTokenManager

    public ELParserTokenManager(SimpleCharStream stream,
                                int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.